Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.connection.transport.https
Class HttpsTransportInfo

    java.lang.Object
      weblogic.wsee.connection.transport.http.HttpTransportInfo
          weblogic.wsee.connection.transport.https.HttpsTransportInfo

All Implemented Interfaces:
  Serializable, weblogic.wsee.connection.transport.TransportInfo

    public class HttpsTransportInfo

extends HttpTransportInfo

This class represents

Created: Nov 19, 2004 -- 12:55:49 PM

See Also:
  Serialized Form

Field Summary
`static HttpsTransportInfo` | `DEFAULT_TRANSPORTINFO`
`static String` | `RELAXED_CHECKING_DEFAULT`
`static String` | `STRICT_CHECKING_DEFAULT`

Constructor Summary
`HttpsTransportInfo()`
`HttpsTransportInfo(KeyManager[] keyMgrs, TrustManager[] trustMgrs, HostnameVerifier verifier)` Constructor takes three arguments: an array of key managers, an array of TrustManagers, and a HostnameVerifier.
`HttpsTransportInfo(SSLAdapter adapter)`

Method Summary
`HostnameVerifier` | `getHostnameVerifier()`
`KeyManager[]` | `getKeyManagers()`
`SSLAdapter` | `getSSLAdapter()`
`TrustManager[]` | `getTrustManagers()`
`void` | `setHostnameVerifier(HostnameVerifier verifier)`
`void` | `setKeyManagers(KeyManager[] managers)`
`static void` | `setRelaxedTrustManagerDefault(boolean relaxed)`
`void` | `setSSLAdapter(SSLAdapter adapter)`
`static void` | `setStrictHostnameCheckDefault(boolean strict)`
`void` | `setTrustManagers(TrustManager[] managers)`

Methods inherited from class weblogic.wsee.connection.transport.http.HttpTransportInfo
`getPassword, getProxy, getProxyPassword, getProxyUsername, getUsername, setPassword, setProxy, setProxyPassword, setProxyUsername, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRICT_CHECKING_DEFAULT

    public static final String STRICT_CHECKING_DEFAULT

See Also:
  Constant Field Values

### RELAXED_CHECKING_DEFAULT

    public static final String RELAXED_CHECKING_DEFAULT

See Also:
  Constant Field Values

### DEFAULT_TRANSPORTINFO

    public static final HttpsTransportInfo DEFAULT_TRANSPORTINFO

Constructor Detail

### HttpsTransportInfo

    public HttpsTransportInfo()

### HttpsTransportInfo

    public HttpsTransportInfo(KeyManager[] keyMgrs,
                              TrustManager[] trustMgrs,
                              HostnameVerifier verifier)

  Constructor takes three arguments: an array of key managers, an array of TrustManagers, and a HostnameVerifier. These are used to establish the SSLContext for connection to this service.

  Parameters:
    `keyMgrs` -
    `trustMgrs` -
    `verifier` - may be null

### HttpsTransportInfo

    public HttpsTransportInfo(SSLAdapter adapter)

Parameters:
  `adapter` -

Method Detail

### setSSLAdapter

    public void setSSLAdapter(SSLAdapter adapter)

### getSSLAdapter

    public SSLAdapter getSSLAdapter()

### getKeyManagers

    public KeyManager[] getKeyManagers()

### setKeyManagers

    public void setKeyManagers(KeyManager[] managers)

### getTrustManagers

    public TrustManager[] getTrustManagers()

### setTrustManagers

    public void setTrustManagers(TrustManager[] managers)

### getHostnameVerifier

    public HostnameVerifier getHostnameVerifier()

### setHostnameVerifier

    public void setHostnameVerifier(HostnameVerifier verifier)

### setStrictHostnameCheckDefault

    public static void setStrictHostnameCheckDefault(boolean strict)

### setRelaxedTrustManagerDefault

    public static void setRelaxedTrustManagerDefault(boolean relaxed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD